# XMLXercesStream< Ostream > Class Template Reference

The type used by Xerces-C++ for the file position type. More...

Inherits XMLFormatTarget.

List of all members.

## Public Member Functions

virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t, XMLFormatter *const)
| Implementations of the format target interface.
constructors and destructor
| XMLXercesStream (std::ostream &os)
| ~XMLXercesStream ()

## Detailed Description

### template<class Ostream>
class XMLXercesStream< Ostream >

The type used by Xerces-C++ for the file position type.

Provide a streaming support for the Xerces DomWriter. Follow Xerces Specifications.

Author:
  Florian Lesaint <florian.lesaint@lrde.epita.fr>

Definition at line 56 of file ios.hh.